aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-data-hexdump/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 10:47:42 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 10:47:42 +0000
commit35d315e3df615338961409581bc7f712587307c1 (patch)
tree8f5c4c30de6a8da39ca92e760c62ca74c04f4b32 /community/perl-data-hexdump/APKBUILD
parentdfbf35a07a97c8300a26e66910fe92b7accfba09 (diff)
downloadaports-35d315e3df615338961409581bc7f712587307c1.tar.gz
aports-35d315e3df615338961409581bc7f712587307c1.tar.bz2
aports-35d315e3df615338961409581bc7f712587307c1.tar.xz
community/perl-data-hexdump: moved from unamintained
Diffstat (limited to 'community/perl-data-hexdump/APKBUILD')
-rw-r--r--community/perl-data-hexdump/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/community/perl-data-hexdump/APKBUILD b/community/perl-data-hexdump/APKBUILD
new file mode 100644
index 0000000000..25e1c6dc18
--- /dev/null
+++ b/community/perl-data-hexdump/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-data-hexdump
+_pkgreal=Data-HexDump
+pkgver=0.02
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/Data-HexDump/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/F/FT/FTASSIN/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="467b7183d1062ab4a502b50c34e7d67f Data-HexDump-0.02.tar.gz"